gnunet-svn
[Top][All Lists]
Advanced

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

[GNUnet-SVN] [taler-twister] branch master updated: debug


From: gnunet
Subject: [GNUnet-SVN] [taler-twister] branch master updated: debug
Date: Mon, 03 Jun 2019 21:41:41 +0200

This is an automated email from the git hooks/post-receive script.

marcello pushed a commit to branch master
in repository twister.

The following commit(s) were added to refs/heads/master by this push:
     new d395d9c  debug
d395d9c is described below

commit d395d9c42cd8e68c864016fa00ebafd3e5f50aee
Author: Marcello Stanisci <address@hidden>
AuthorDate: Mon Jun 3 21:41:35 2019 +0200

    debug
---
 src/test/test_twister.sh | 35 ++++++++++++++++++++++++++++++++---
 1 file changed, 32 insertions(+), 3 deletions(-)

diff --git a/src/test/test_twister.sh b/src/test/test_twister.sh
index 17ef265..3f1b110 100755
--- a/src/test/test_twister.sh
+++ b/src/test/test_twister.sh
@@ -39,10 +39,14 @@ TWISTER_URL="http://[::1]:8888/";
 ./test_twister_webserver &
 web_server_pid=$!
 
+echo Webserver launched.
+
 # Launch the Twister.
 taler-twister-service -c ./test_twister.conf &
 twister_service_pid=$!
 
+echo Twister launched.
+
 # hack the response code.
 taler-twister -c ./test_twister.conf --responsecode 202
 
@@ -57,6 +61,9 @@ if ! test 202 = $status_code; then
   exit 1
 fi
 
+
+echo -- "--responsecode 202 passed".
+
 # malform response.
 taler-twister -c ./test_twister.conf --malform
 malformed_body=$(curl -s ${TWISTER_URL})
@@ -71,6 +78,7 @@ if test '{"hello":[{"this":"browser!"}],"when":"today"}' = \
   exit 1
 fi
 
+echo -- "--malform passed".
 
 # flip string.
 taler-twister -c ./test_twister.conf -f "when"
@@ -85,6 +93,8 @@ if test "$flip_field" = 'today'; then
   exit 1
 fi
 
+echo "field-flip passed".
+
 # delete object.
 taler-twister -c ./test_twister.conf -d "hello.0"
 emptied_body=$(curl -s ${TWISTER_URL})
@@ -98,6 +108,8 @@ if ! test '{"hello":[],"when":"today"}' = "$emptied_body"; 
then
   exit 1
 fi
 
+echo "field-deletion passed".
+
 # set boolean field
 taler-twister -c ./test_twister.conf \
   -m "hello" \
@@ -113,6 +125,7 @@ if ! test \
   exit 1
 fi
 
+echo "field-modification with boolean value passed".
 
 # set field
 taler-twister -c ./test_twister.conf \
@@ -129,6 +142,8 @@ if ! test \
   exit 1
 fi
 
+echo "field-modification with string passed".
+
 # check if cumulative mods work.
 taler-twister -c ./test_twister.conf \
   -m "hello" -V "world" \
@@ -161,6 +176,7 @@ if ! test 200 = $status_code; then
   exit 1
 fi
 
+echo "cumulative mods passed".
 
 # Just upload a big blob; first with PUT then with POST.
 printf "{\"things\": \"%s\"}" \
@@ -175,6 +191,16 @@ status_code=$(curl \
   address@hidden \
   -w "%{http_code}")
 
+## check status code is okay.
+if ! test 200 = $status_code; then
+  echo "PUTting big blob failed (status == ${status_code})."
+  kill $web_server_pid
+  kill $twister_service_pid
+  rm BIGBLOB.json
+  exit 1
+fi
+echo "PUT big load passed".
+
 status_code=$(curl \
   -s "${TWISTER_URL}BIGPOST" \
   -o /dev/null \
@@ -183,16 +209,19 @@ status_code=$(curl \
   address@hidden \
   -w "%{http_code}")
 
-rm BIGBLOB.json
-
 ## check status code is okay.
 if ! test 200 = $status_code; then
-  echo "PUTting big blob failed (status == ${status_code})."
+  echo "POSTing big blob failed (status == ${status_code})."
   kill $web_server_pid
   kill $twister_service_pid
+  rm BIGBLOB.json
   exit 1
 fi
 
+echo "POST big load passed".
+
+rm BIGBLOB.json
+
 # shutdown twister and webserver
 kill $web_server_pid
 kill $twister_service_pid

-- 
To stop receiving notification emails like this one, please contact
address@hidden



reply via email to

[Prev in Thread] Current Thread [Next in Thread]